Bulk update of references to the group.

Add or remove references to the group, leaving references not listed in the request body unchanged.

For example, to link stream_1 to the group my_group and unlink stream_2 from it, issue the following PATCH request to /groups/my_group/references/streams:

{
  "addReferences": [
    "stream_1"
  ],
  "removeReferences": [
    "stream_2"
  ]
}

All other streams will remain linked or unlinked from my_group as they were before the request.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Group id

string
required

The type of resources to update references for (e.g. 'streams').

Body Params
addReferences
array of strings

List of resource IDs to link to the group.

addReferences
removeReferences
array of strings

List of resource IDs to unlink from the group.

removeReferences
Responses

Language
Credentials
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json